package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrPumpCleaning;

/**
 * 机泵过滤器清理工作清单Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrPumpCleaningMapper
{
    /**
     * 查询机泵过滤器清理工作清单
     *
     * @param id 机泵过滤器清理工作清单ID
     * @return 机泵过滤器清理工作清单
     */
    public TPssrPumpCleaning selectTPssrPumpCleaningById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询机泵过滤器清理工作清单列表
     *
     * @param tPssrPumpCleaning 机泵过滤器清理工作清单
     * @return 机泵过滤器清理工作清单集合
     */
    
    public List<TPssrPumpCleaning> selectTPssrPumpCleaningList(TPssrPumpCleaning tPssrPumpCleaning);

    /**
     * 新增机泵过滤器清理工作清单
     *
     * @param tPssrPumpCleaning 机泵过滤器清理工作清单
     * @return 结果
     */
    public int insertTPssrPumpCleaning(TPssrPumpCleaning tPssrPumpCleaning);

    /**
     * 修改机泵过滤器清理工作清单
     *
     * @param tPssrPumpCleaning 机泵过滤器清理工作清单
     * @return 结果
     */
    public int updateTPssrPumpCleaning(TPssrPumpCleaning tPssrPumpCleaning);
    public int updateTPssrPumpCleaningByIds(TPssrPumpCleaning tPssrPumpCleaning);


    public int updateAllBySubId(TPssrPumpCleaning tPssrPumpCleaning);

    /**
     * 删除机泵过滤器清理工作清单
     *
     * @param id 机泵过滤器清理工作清单ID
     * @return 结果
     */
    public int deleteTPssrPumpCleaningById(Long id);

    /**
     * 批量删除机泵过滤器清理工作清单
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrPumpCleaningByIds(Long[] ids);
}
